Index: jobvista-frontend/src/views/applications/ApplicationDetailsModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplicationDetailsModal.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
@@ -32,16 +32,24 @@
 
     useEffect(() => {
-        if(application) {
-            dispatch(ApplicationActions.downloadResume(application.fileName, (success, response) => {
-                if(success) {
+        if (application) {
+            ApplicationActions.downloadResume(application.id, (success, response) => {
+                if (success) {
                     setResumeUrl(response);
                 }
-            }))
+            })
         }
-    }, [application])
+    }, [])
+
+    function getFileName(path) {
+        let fileName = path.split('\\').pop().split('/').pop();
+
+        fileName = fileName.trim();
+
+        return fileName;
+    }
 
     return (<div className="modal-wrap">
         <button onClick={toggleModal} className="application-button">View application</button>
-        <Modal open={modal} onClose={toggleModal} center >
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>{application.jobSeekerName}'s application for {application.jobAdTitle}</h3>
@@ -49,18 +57,20 @@
             </div>
 
-            <div className="modal-content" >
+            <div className="modal-content">
                 <form>
                     <div className="row">
                         <div className="col-md-6">
                             <label className="label">Why are you interested in joining our company?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled placeholder="Write your answer here..." className="application-textarea"/>
-
-
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[0]} disabled
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
                             <label className="label">What makes you a good fit for this position?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}  placeholder="Write your answer here..." className="application-textarea"/>
-
-
-                            <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
-                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}  placeholder="Write your answer here..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[1]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
+                            <br/><br/>
+                            <label className="label">What do you hope to achieve in your first 6 months in this
+                                role?</label>
+                            <textarea disabled type="text" defaultValue={application.questionAnswers[2]}
+                                      placeholder="Write your answer here..." className="application-textarea"/>
 
                         </div>
@@ -68,10 +78,12 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <a className="resume-link" href={resumeUrl} target="_blank" rel="noopener noreferrer">{application.fileName}</a>
+                            <a className="resume-link" href={resumeUrl} target="_blank"
+                               rel="noopener noreferrer">{getFileName(application.fileName)}</a>
                             <br/>
 
                             <br/>
                             <label className="label">Message to the recruiter</label>
-                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..." className="application-textarea"/>
+                            <textarea disabled type="text" defaultValue={application.message} placeholder="Optional..."
+                                      className="application-textarea"/>
 
                         </div>
Index: jobvista-frontend/src/views/applications/Applications.css
===================================================================
--- jobvista-frontend/src/views/applications/Applications.css	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/Applications.css	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
@@ -32,6 +32,6 @@
     padding: 20px 20px;
     display: flex;
-    justify-content: center;
-    gap: 20px;
+    /*justify-content: center;*/
+    /*gap: 20px;*/
     margin: 15px 0;
     /*z-index: -1000;*/
@@ -39,5 +39,6 @@
 .application-card .app-job-seeker-pic {
     border: 1px solid gray;
-    border-radius: 50%
+    border-radius: 50%;
+    margin-right: 20px;
 }
 .application-card .app-job-seeker-pic img {
@@ -45,6 +46,10 @@
 }
 
+.application-card .app-company-logo {
+    width: 8%;
+}
+
 .application-card .app-info {
-    width: 60%;
+    width: 65%;
     display: inline-flex;
     flex-direction: column;
@@ -56,9 +61,12 @@
 .application-card .app-info .jobAd-title {
     font-weight: 600;
+    font-size: 1.2rem;
     /*text-transform: uppercase;*/
     font-family: 'Segoe UI', sans-serif;
-    /*font-size: 22px;*/
+    text-decoration: none;
+    color: black
 }
-.application-card .app-info .jobAd-title
+
+.
 
 .application-card .app-info .contact-info {
@@ -78,5 +86,5 @@
 
 .application-card .app-status {
-    width: 40%;
+    width: 28%;
     display: inline-flex;
     justify-content: end;
Index: jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplicationsByJobSeeker.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
@@ -7,4 +7,5 @@
 import {RecruiterActions} from "../../redux/actions/recruiterActions";
 import {sortElementsBy} from "../../utils/utils";
+import {Link} from "react-router-dom";
 
 export const ApplicationsByJobSeeker = () => {
@@ -97,5 +98,6 @@
 
                     <div className="app-info">
-                        <div className="jobAd-title">{application.jobAdTitle}</div>
+                        <Link to={`/job-advertisements/${application.jobAdId}`} className="jobAd-title">{application.jobAdTitle}</Link>
+                        {/*<h5 className="jobAd-title"></h5>*/}
                         <div className="contact-info">
                             <div className="contact-item">
Index: jobvista-frontend/src/views/applications/ApplyToJobAdModal.js
===================================================================
--- jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision befb98800bd9171fa5ce8a5f29287e549f0ff5aa)
+++ jobvista-frontend/src/views/applications/ApplyToJobAdModal.js	(revision 0f0add0e646bd880b8213e381f57f621bc0e6861)
@@ -51,6 +51,6 @@
 
             dispatch(ApplicationActions.submitApplication(
-                formData,(success, response) => {
-                    if(success) {
+                formData, (success) => {
+                    if (success) {
                         toggleModal()
                         notifyJobAdApply()
@@ -66,11 +66,11 @@
 
     return (<div className="modal-wrap">
-        {role===Roles.JOBSEEKER &&
+        {role === Roles.JOBSEEKER &&
             <>
-                {jobAd.active && <button onClick={toggleModal} className="apply-button apply">Apply now</button> }
-                {!jobAd.active && <button className="card-button apply disabled">Apply now</button> }
+                {jobAd.active && <button onClick={toggleModal} className="apply-button apply">Apply now</button>}
+                {!jobAd.active && <button className="card-button apply disabled">Apply now</button>}
             </>
         }
-        <Modal open={modal} onClose={toggleModal} center >
+        <Modal open={modal} onClose={toggleModal} center>
             <div className="head-modal">
                 <h3>Applying to {jobAd.title} at {jobAd.recruiterName}</h3>
@@ -78,5 +78,5 @@
             </div>
 
-            <div className="modal-content" >
+            <div className="modal-content">
                 <form onSubmit={handleSubmit(submitApplication)}>
                     <div className="row">
@@ -92,7 +92,8 @@
                             <p style={{color: "red"}}>{errors.answerTwo?.message}</p>
 
-                            <label className="label">What do you hope to achieve in your first 6 months in this role?</label>
-                            <textarea type="text"  placeholder="Write your answer here..."
-                                   {...register("answerThree")} className="application-textarea"/>
+                            <label className="label">What do you hope to achieve in your first 6 months in this
+                                role?</label>
+                            <textarea type="text" placeholder="Write your answer here..."
+                                      {...register("answerThree")} className="application-textarea"/>
                             <p style={{color: "red"}}>{errors.answerThree?.message}</p>
 
@@ -101,5 +102,7 @@
                             <label htmlFor="start">Curriculum vitae (CV)</label>
                             <br/>
-                            <input {...register("file")} className="resume-link" onChange={(e) => setResumeFile(e.target.files[0])} required type="file" id="fileUpload" accept=".pdf"/>
+                            <input {...register("file")} className="resume-link"
+                                   onChange={(e) => setResumeFile(e.target.files[0])} required type="file"
+                                   id="fileUpload" accept=".pdf"/>
 
                             <br/>
@@ -109,5 +112,6 @@
 
                             <br/><br/>
-                            <p style={{color: "red"}}>Please note that your personal data from your account will be used to identify and process your application.</p>
+                            <p style={{color: "red"}}>Please note that your personal data from your account will be used
+                                to identify and process your application.</p>
                         </div>
                     </div>
